Bug 5057 - jar files not assigned to java
: jar files not assigned to java
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Denis Silakov
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-16 13:08 MSK by Vladimir Potapov
Modified: 2015-03-30 11:13 MSD (History)
0 users

See Also:
RPM Package: jdk
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-02-16 13:08:41 MSK
jar files not assigned to java from repos
http://forum.rosalab.ru/viewtopic.php?f=53&t=5032&p=38888#p38888
Comment 1 Denis Silakov 2015-03-26 15:02:50 MSK
Advisory:

Assign *jar files to OpenJDK Runtime. If you click on jar file in file manager or try to open it using "xdg-open" from the command line, ROSA should try to launch this jar using JRE (if it is installed).

Build lists:
(shared-mime-info):
https://abf.io/build_lists/2476365
https://abf.io/build_lists/2476366

(java-1.7.0-openjdk):
https://abf.io/build_lists/2476393
https://abf.io/build_lists/2476394

(java-1.8.0-openjdk):
https://abf.io/build_lists/2476399
https://abf.io/build_lists/2476400

In addition, this update of shared-mime-info should also fix bug #4886 (txt files should be opened by Leafpad in LXDE)
Comment 2 Vladimir Potapov 2015-03-26 21:02:18 MSK
The update is sent to expanded testing
*************************************
Comment 3 Vladimir Potapov 2015-03-30 09:00:24 MSD
shared-mime-info-1.3-8
https://abf.io/build_lists/2476365
https://abf.io/build_lists/2476366

java-1.7.0-openjdk-1.7.0.75-2.5.4.3
https://abf.io/build_lists/2476393
https://abf.io/build_lists/2476394

java-1.8.0-openjdk-1.8.0.5-5.b13
https://abf.io/build_lists/2476399
https://abf.io/build_lists/2476400
************************* Advisory *****************************
Assign *jar files to OpenJDK Runtime. If you click on jar file in file manager or try to open it using "xdg-open" from the command line, ROSA should try to launch this jar using JRE (if it is installed).
*****************************************************************
QA Verified